package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtFuRoom;
import com.srs.routine.domain.vo.RtFuResSoltVo;
import com.srs.routine.domain.vo.RtFuRoomVo;

/**
 * 功能房Service接口
 *
 * @author srs
 * @date 2024-07-12
 */
public interface IRtFuRoomService extends IService<RtFuRoom> {
    /**
     * 查询功能房
     *
     * @param id 功能房主键
     * @return 功能房
     */
//    public RtFuRoom selectRtFuRoomById(Long id);
    public RtFuRoomVo selectRtFuRoomById(Long id);
//    public RtFuReservation selectRtFuRoomByroom(String room_name);

    public RtFuResSoltVo selectRtFuRoomByRoNo(String ro_no);
public List<RtFuRoomVo> selectRtFuRoomByroom(String room_name);
    /**
     * 查询功能房列表
     *
     * @param rtFuRoom 功能房
     * @return 功能房集合
     */
    List<RtFuRoom> selectRtFuRoomList(RtFuRoom rtFuRoom);

    List<RtFuRoomVo> selectRtFuRoomListVo(RtFuRoomVo rtFuRoomVo);

    /**
     * 新增功能房
     *
     * @param rtFuRoom 功能房
     * @return 结果
     */
    AjaxResult insertRtFuRoom(RtFuRoom rtFuRoom);

    /**
     * 修改功能房
     *
     * @param rtFuRoom 功能房
     * @return 结果
     */
    AjaxResult updateRtFuRoom(RtFuRoom rtFuRoom);

    public AjaxResult updateRtfuSta(RtFuRoom rtFuRoom);

    /**
     * 批量删除功能房
     *
     * @param ids 需要删除的功能房主键集合
     * @return 结果
     */
    int deleteRtFuRoomByIds(Long[] ids);

    /**
     * 删除功能房信息
     *
     * @param id 功能房主键
     * @return 结果
     */
    int deleteRtFuRoomById(Long id);
}
